<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'question', language 'ja_wp', version '3.1'.
 *
 * @package     question
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['generalfeedback_help'] = '全般に対するフィードバックは問題の受験後、学習者に表示されるテキストです。問題タイプおよび学習者の解答によって決まるフィードバックとは異なり、同じ全般に対するフィードバックテキストがすべての学習者に表示されます。

あなたは学習者に工夫を凝らした回答を与える場として全般的なフィードバックを使用することができます。学習者が問題を理解できない場合、さらなる情報のリンクを与えて利用できるようにすることもできます。';
$string['howquestionsbehave_help'] = '学習者は小テスト内の問題に対して様々に異なる方法で接することができます。例えばあなたが学習者にそれぞれの問題で答えを入力した後、評定またはフィードバックの前に小テストすべてを送信してもらいたい場合もあるでしょう。これには「遅延フィードバック」モードを使用します。

代わりにあなたが学習者に即時フィードバックを与えて、すぐに正解できない場合に評点の低い次の受験に挑戦させたいとします。これには「複数受験インタラクティブ」モードを使用します。

恐らく、これらは最も一般的に使用される動作モードです。';
$string['penaltyfactor_help'] = 'ここではそれぞれの間違った解答に対して、差し引く評点の割合を指定することができます。これは問題に繰り返し答えることのできる、アダプティブモードで小テストが動作している場合のみ関係があります。

ペナルティ要素は0から1の間に設定してください。ペナルティ要素が１の場合、学習者は単位を得るため、最初の解答で正解する必要があります。ペナルティ要素が0の場合、学習者は満点になるまで何度でも好きなだけ受験することができます。';
$string['specificfeedback_help'] = '学習者の解答に応じて与えられるフィードバックです。';
